Bug 1118122 - [geard] Cannot show gear version via CLI on fedora 20
Summary: [geard] Cannot show gear version via CLI on fedora 20
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Michal Fojtik
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 03:22 UTC by Meng Bo
Modified: 2015-05-14 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 13:28:40 UTC


Attachments (Terms of Use)

Description Meng Bo 2014-07-10 03:22:16 UTC
Description of problem:
Install the latest geard via yum or rpm (http://koji.fedoraproject.org/koji/buildinfo?buildID=541698).

Check the gear version after installed.

# gear version
gear version , build 

No gear build info shows.

Version-Release number of selected component (if applicable):
geard-0-0.13.git6850c8d
fedora20_x86_64

How reproducible:
always

Steps to Reproduce:
1. Install geard-0-0.13.git6850c8d
2. Check gear version via gear cli
3.

Actual results:
# gear version
gear version , build 

Expected results:
Should show the correct gear version.

Additional info:

Comment 1 Michal Fojtik 2014-07-10 17:58:00 UTC
This seems to look as a packaging/RPM problem. The 'version' is defined in the 'contrib/build' script as:

local version="version $(git describe --abbrev=0 --tags), build $(git rev-parse --short HEAD)"

I think we should make an ENV var you can use to set the version explicitly.

CC'ing Adam as he packaging the geard for Fedora.

Adam: I will add 'GEARD_VERSION' env var you can set for the 'contrib/build' script and that string will be used as a version. I guess the format should be the same as the 'local version=' above.

Comment 2 Michal Fojtik 2014-07-10 17:59:11 UTC
https://github.com/openshift/geard/pull/238

Comment 3 Adam Miller 2014-09-29 13:28:40 UTC
geard has been retired upstream in favor of kubernetes, kubernetes packaging work can be followed here: http://copr.fedoraproject.org/coprs/walters/atomic-next/


Note You need to log in before you can comment on or make changes to this bug.